test/rubygems/test_gem_indexer.rb leaves temporary directory

09/22/2011 02:51 AM - nobu (Nobuyoshi Nakada)

Status: Closed   

Priority: Normal   

Assignee: drbrain (Eric Hodel)   

Target version: 1.9.4   

ruby -v: r33303 Backport:  

Description

=begin

setup in test_gem_indexer.rb changes @tempdir, so teardown fails to clean it properly.

$ mkdir ~/tmp/gemtest

$ TMPDIR=~/tmp/gemtest ./ruby test/rubygems/test_gem_indexer.rb

Run options: --seed 37319

Running tests:

............

Finished tests in 2.380268s, 5.0414 tests/s, 50.8346 assertions/s.

12 tests, 121 assertions, 0 failures, 0 errors, 0 skips

$ ls ~/tmp/gemtest

test_rubygems_30493/

=end

Associated revisions

Revision d176c4ee9908e416662e332eca37b851a7446d3c - 05/24/2012 03:37 PM - nobu (Nobuyoshi Nakada)

Bug #5348

test/rubygems/test_gem_indexer.rb (setup, teardown): save @tempdir

to remove it properly.  [Bug #5348]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@35777 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

Revision d176c4ee - 05/24/2012 03:37 PM - nobu (Nobuyoshi Nakada)

Bug #5348

test/rubygems/test_gem_indexer.rb (setup, teardown): save @tempdir

to remove it properly.  [Bug #5348]

git-svn-id: svn+ssh://ci.ruby-lang.org/ruby/trunk@35777 b2dd03c8-39d4-4d8f-98ff-823fe69b080e

History

#1 - 05/25/2012 12:37 AM - nobu (Nobuyoshi Nakada)

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

This issue was solved with changeset r35777.

Nobuyoshi, thank you for reporting this issue.

Your contribution to Ruby is greatly appreciated.

May Ruby be with you.
